---
Description: "Collects all ESXi Host members for a cluster and records it in esxi/cluster-profile"
Name: "esxi-cluster-hosts-get"
Documentation: |
  This task collects all ESXi members that are in a given Datacenter and Cluster,
  and records it on the Profile specified in the `esxi/cluster-profile` Param.
  This is used by subsequent tasks that need to render with a pure Golang Template
  to reference the ESXi members in a cluster.  For example the `ansible-vmware-migrate-vmk`
  task.

ExtraClaims:
  - scope: "machines"
    action: "*"
    specific: "*"
  - scope: "profiles"
    action: "*"
    specific: "*"
Meta:
  icon: "terminal"
  color: "purple"
  title: "Digital Rebar Community Content"
  feature-flags: "sane-exit-codes"
RequiredParams:
  - "esxi/cluster-name"
  - "esxi/cluster-profile"
OptionalParams: []
Templates:
  - Name: "esxi-cluster-hosts-get.sh.tmpl"
    ID: "esxi-cluster-hosts-get.sh.tmpl"
